SRP_TMO_VALID(9)

NAME
srp_tmo_valid - check timeout combination validity

SYNOPSIS

int srp_tmo_valid(int reconnect_delay, int fast_io_fail_tmo, int dev_loss_tmo);

ARGUMENTS

reconnect_delay
    Reconnect delay in seconds.

fast_io_fail_tmo
    Fast I/O fail timeout in seconds.

dev_loss_tmo
    Device loss timeout in seconds.

DESCRIPTION

The combination of the timeout parameters must be such that SCSI commands are finished in a reasonable time. Hence do not allow the fast I/O fail timeout to exceed SCSI_DEVICE_BLOCK_MAX_TIMEOUT nor allow dev_loss_tmo to exceed that limit if failing I/O fast has been disabled. Furthermore, these parameters must be such that multipath can detect failed paths timely. Hence do not allow all three parameters to be disabled simultaneously.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT